/*===========================================================================*/
/*   (Rgc/rgcposix.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Rgc/rgcposix.scm -indent -o objs/obj_u/Rgc/rgcposix.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_posixz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(obj_t, obj_t);
extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_parsezd2posixzd2expz00zz__rgc_posixz00(obj_t, long);
static obj_t BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_makezd2rgczd2orz00zz__rgc_posixz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__rgc_posixz00();
extern obj_t string_to_symbol(char *);
static obj_t BGl__posixzd2ze3rgcz31zz__rgc_posixz00(obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t c_substring(obj_t, int, int);
static obj_t BGl_list2352z00zz__rgc_posixz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_posixzd2ze3rgcz31zz__rgc_posixz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_posixz00();
static obj_t BGl_requirezd2initializa7ationz75zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(obj_t, long);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(obj_t, long);
static obj_t BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(obj_t, obj_t);
static obj_t BGl_symbol2358z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2357z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__rgc_posixz00();
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_symbol2349z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2348z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2345z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2344z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2342z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2341z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2340z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2339z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_symbol2338z00zz__rgc_posixz00 = BUNSPEC;
static obj_t BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2361z00zz__rgc_posixz00, BgL_bgl_string2361za700za7za7__rgc_posixza7002368z00, "Missing close brace in regexp", 29 );
DEFINE_STRING( BGl_string2360z00zz__rgc_posixz00, BgL_bgl_string2360za700za7za7__rgc_posixza7002369z00, "Missing close right bracket in regexp", 37 );
DEFINE_STRING( BGl_string2359z00zz__rgc_posixz00, BgL_bgl_string2359za700za7za7__rgc_posixza7002370z00, "Illegal - in [...] regexp", 25 );
DEFINE_STRING( BGl_string2356z00zz__rgc_posixz00, BgL_bgl_string2356za700za7za7__rgc_posixza7002371z00, "double-bracket regexps not supported.", 37 );
DEFINE_STRING( BGl_string2351z00zz__rgc_posixz00, BgL_bgl_string2351za700za7za7__rgc_posixza7002372z00, "RGC:expression may not terminate with a backslash", 49 );
DEFINE_STRING( BGl_string2350z00zz__rgc_posixz00, BgL_bgl_string2350za700za7za7__rgc_posixza7002373z00, "RGC:subexpression has no terminating close parenthesis", 54 );
DEFINE_STRING( BGl_string2347z00zz__rgc_posixz00, BgL_bgl_string2347za700za7za7__rgc_posixza7002374z00, "RGC: `$' regexps not supported.", 31 );
DEFINE_STRING( BGl_string2346z00zz__rgc_posixz00, BgL_bgl_string2346za700za7za7__rgc_posixza7002375z00, "RGC: `^' regexps not supported.", 31 );
DEFINE_STRING( BGl_string2343z00zz__rgc_posixz00, BgL_bgl_string2343za700za7za7__rgc_posixza7002376z00, "RGC:Illegal posix string", 24 );
DEFINE_STRING( BGl_string2337z00zz__rgc_posixz00, BgL_bgl_string2337za700za7za7__rgc_posixza7002377z00, "RGC:Illegal Posix regexp -- terminated early", 44 );
DEFINE_EXPORT_PROCEDURE( BGl_posixzd2ze3rgczd2envze3zz__rgc_posixz00, BgL_bgl__posixza7d2za7e3rgcza731za7za7__rgc_posixza7002378z00, BGl__posixzd2ze3rgcz31zz__rgc_posixz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_posixz00(long BgL_checksumz00_1135, char * BgL_fromz00_1136)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_posixz00))
{ 
BGl_requirezd2initializa7ationz75zz__rgc_posixz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__rgc_posixz00(); 
BGl_importedzd2moduleszd2initz00zz__rgc_posixz00(); 
BGl_toplevelzd2initzd2zz__rgc_posixz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__rgc_posixz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 14 */
BGl_symbol2338z00zz__rgc_posixz00 = 
string_to_symbol("*"); 
BGl_symbol2339z00zz__rgc_posixz00 = 
string_to_symbol("+"); 
BGl_symbol2340z00zz__rgc_posixz00 = 
string_to_symbol("?"); 
BGl_symbol2341z00zz__rgc_posixz00 = 
string_to_symbol("**"); 
BGl_symbol2342z00zz__rgc_posixz00 = 
string_to_symbol(">="); 
BGl_symbol2344z00zz__rgc_posixz00 = 
string_to_symbol("or"); 
BGl_symbol2345z00zz__rgc_posixz00 = 
string_to_symbol(":"); 
BGl_symbol2348z00zz__rgc_posixz00 = 
string_to_symbol("all"); 
BGl_symbol2349z00zz__rgc_posixz00 = 
string_to_symbol("submatch"); 
{ /* ./Rgc/rgcposix.scm 226 */
obj_t BgL_auxz00_1154;obj_t BgL_auxz00_1152;
{ /* ./Rgc/rgcposix.scm 226 */
obj_t BgL_auxz00_1157;obj_t BgL_auxz00_1155;
{ /* ./Rgc/rgcposix.scm 226 */
obj_t BgL_auxz00_1158;
BgL_auxz00_1158 = 
BCHAR(((unsigned char)':')); 
BgL_auxz00_1157 = 
MAKE_PAIR(BgL_auxz00_1158, BNIL); } 
BgL_auxz00_1155 = 
BCHAR(((unsigned char)'=')); 
BgL_auxz00_1154 = 
MAKE_PAIR(BgL_auxz00_1155, BgL_auxz00_1157); } 
BgL_auxz00_1152 = 
BCHAR(((unsigned char)'.')); 
BGl_list2352z00zz__rgc_posixz00 = 
MAKE_PAIR(BgL_auxz00_1152, BgL_auxz00_1154); } 
BGl_symbol2357z00zz__rgc_posixz00 = 
string_to_symbol("out"); 
return ( 
BGl_symbol2358z00zz__rgc_posixz00 = 
string_to_symbol("in"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__rgc_posixz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 14 */
return ( 
BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BUNSPEC, BUNSPEC) ;} 
}



/* posix->rgc */
BGL_EXPORTED_DEF obj_t BGl_posixzd2ze3rgcz31zz__rgc_posixz00(obj_t BgL_sz00_1)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 44 */
BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BgL_sz00_1; 
{ /* ./Rgc/rgcposix.scm 46 */
obj_t BgL_rgcz00_370;
BgL_rgcz00_370 = 
BGl_parsezd2posixzd2expz00zz__rgc_posixz00(BgL_sz00_1, ((long)0)); 
{ /* ./Rgc/rgcposix.scm 48 */
obj_t BgL_iz00_371;
{ /* ./Rgc/rgcposix.scm 48 */
int BgL_auxz00_1166;
BgL_auxz00_1166 = 
(int)(((long)1)); 
BgL_iz00_371 = 
BGL_MVALUES_VAL(BgL_auxz00_1166); } 
{ /* ./Rgc/rgcposix.scm 48 */
bool_t BgL_testz00_1169;
{ /* ./Rgc/rgcposix.scm 48 */
long BgL_auxz00_1172;long BgL_auxz00_1170;
{ /* ./Rgc/rgcposix.scm 48 */
int BgL_auxz00_1173;
BgL_auxz00_1173 = 
STRING_LENGTH(BgL_sz00_1); 
BgL_auxz00_1172 = 
(long)(BgL_auxz00_1173); } 
BgL_auxz00_1170 = 
(long)CINT(BgL_iz00_371); 
BgL_testz00_1169 = 
(BgL_auxz00_1170==BgL_auxz00_1172); } 
if(BgL_testz00_1169)
{ /* ./Rgc/rgcposix.scm 48 */
return BgL_rgcz00_370;}  else 
{ /* ./Rgc/rgcposix.scm 50 */
obj_t BgL_objectz00_749;
BgL_objectz00_749 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2337z00zz__rgc_posixz00,BgL_objectz00_749);} } } } } 
}



/* _posix->rgc */
obj_t BGl__posixzd2ze3rgcz31zz__rgc_posixz00(obj_t BgL_envz00_1133, obj_t BgL_sz00_1134)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 44 */
return 
BGl_posixzd2ze3rgcz31zz__rgc_posixz00(BgL_sz00_1134);} 
}



/* make-rgc-repeat */
obj_t BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(obj_t BgL_minz00_3, obj_t BgL_maxz00_4, obj_t BgL_rgcz00_5)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 69 */
{ /* ./Rgc/rgcposix.scm 71 */
bool_t BgL_test1075z00_374;
{ /* ./Rgc/rgcposix.scm 71 */
bool_t BgL_testz00_1179;
{ /* ./Rgc/rgcposix.scm 71 */
obj_t BgL_auxz00_1180;
BgL_auxz00_1180 = 
BINT(((long)0)); 
BgL_testz00_1179 = 
(BgL_minz00_3==BgL_auxz00_1180); } 
if(BgL_testz00_1179)
{ /* ./Rgc/rgcposix.scm 71 */
if(
CBOOL(BgL_maxz00_4))
{ /* ./Rgc/rgcposix.scm 71 */
BgL_test1075z00_374 = ((bool_t)0); }  else 
{ /* ./Rgc/rgcposix.scm 71 */
BgL_test1075z00_374 = ((bool_t)1); } }  else 
{ /* ./Rgc/rgcposix.scm 71 */
BgL_test1075z00_374 = ((bool_t)0); } } 
if(BgL_test1075z00_374)
{ /* ./Rgc/rgcposix.scm 71 */
{ /* ./Rgc/rgcposix.scm 72 */
obj_t BgL_arg1079z00_375;obj_t BgL_arg1080z00_376;
BgL_arg1079z00_375 = BGl_symbol2338z00zz__rgc_posixz00; 
BgL_arg1080z00_376 = 
MAKE_PAIR(BgL_rgcz00_5, BNIL); 
return 
MAKE_PAIR(BgL_arg1079z00_375, BgL_arg1080z00_376);} }  else 
{ /* ./Rgc/rgcposix.scm 73 */
bool_t BgL_test1083z00_377;
{ /* ./Rgc/rgcposix.scm 73 */
bool_t BgL_testz00_1188;
{ /* ./Rgc/rgcposix.scm 73 */
obj_t BgL_auxz00_1189;
BgL_auxz00_1189 = 
BINT(((long)1)); 
BgL_testz00_1188 = 
(BgL_minz00_3==BgL_auxz00_1189); } 
if(BgL_testz00_1188)
{ /* ./Rgc/rgcposix.scm 73 */
if(
CBOOL(BgL_maxz00_4))
{ /* ./Rgc/rgcposix.scm 73 */
BgL_test1083z00_377 = ((bool_t)0); }  else 
{ /* ./Rgc/rgcposix.scm 73 */
BgL_test1083z00_377 = ((bool_t)1); } }  else 
{ /* ./Rgc/rgcposix.scm 73 */
BgL_test1083z00_377 = ((bool_t)0); } } 
if(BgL_test1083z00_377)
{ /* ./Rgc/rgcposix.scm 73 */
{ /* ./Rgc/rgcposix.scm 74 */
obj_t BgL_arg1085z00_378;obj_t BgL_arg1086z00_379;
BgL_arg1085z00_378 = BGl_symbol2339z00zz__rgc_posixz00; 
BgL_arg1086z00_379 = 
MAKE_PAIR(BgL_rgcz00_5, BNIL); 
return 
MAKE_PAIR(BgL_arg1085z00_378, BgL_arg1086z00_379);} }  else 
{ /* ./Rgc/rgcposix.scm 75 */
bool_t BgL_test1089z00_380;
{ /* ./Rgc/rgcposix.scm 75 */
bool_t BgL_testz00_1197;
{ /* ./Rgc/rgcposix.scm 75 */
obj_t BgL_auxz00_1198;
BgL_auxz00_1198 = 
BINT(((long)0)); 
BgL_testz00_1197 = 
(BgL_minz00_3==BgL_auxz00_1198); } 
if(BgL_testz00_1197)
{ /* ./Rgc/rgcposix.scm 75 */
obj_t BgL_auxz00_1201;
BgL_auxz00_1201 = 
BINT(((long)1)); 
BgL_test1089z00_380 = 
(BgL_maxz00_4==BgL_auxz00_1201); }  else 
{ /* ./Rgc/rgcposix.scm 75 */
BgL_test1089z00_380 = ((bool_t)0); } } 
if(BgL_test1089z00_380)
{ /* ./Rgc/rgcposix.scm 75 */
{ /* ./Rgc/rgcposix.scm 76 */
obj_t BgL_arg1091z00_381;obj_t BgL_arg1092z00_382;
BgL_arg1091z00_381 = BGl_symbol2340z00zz__rgc_posixz00; 
BgL_arg1092z00_382 = 
MAKE_PAIR(BgL_rgcz00_5, BNIL); 
return 
MAKE_PAIR(BgL_arg1091z00_381, BgL_arg1092z00_382);} }  else 
{ /* ./Rgc/rgcposix.scm 75 */
if(
CBOOL(BgL_maxz00_4))
{ /* ./Rgc/rgcposix.scm 77 */
{ /* ./Rgc/rgcposix.scm 80 */
obj_t BgL_arg1096z00_383;obj_t BgL_arg1097z00_384;
BgL_arg1096z00_383 = BGl_symbol2341z00zz__rgc_posixz00; 
{ /* ./Rgc/rgcposix.scm 80 */
obj_t BgL_arg1100z00_385;
{ /* ./Rgc/rgcposix.scm 80 */
obj_t BgL_arg1103z00_386;
BgL_arg1103z00_386 = 
MAKE_PAIR(BgL_rgcz00_5, BNIL); 
BgL_arg1100z00_385 = 
MAKE_PAIR(BgL_maxz00_4, BgL_arg1103z00_386); } 
BgL_arg1097z00_384 = 
MAKE_PAIR(BgL_minz00_3, BgL_arg1100z00_385); } 
return 
MAKE_PAIR(BgL_arg1096z00_383, BgL_arg1097z00_384);} }  else 
{ /* ./Rgc/rgcposix.scm 77 */
{ /* ./Rgc/rgcposix.scm 78 */
obj_t BgL_arg1107z00_387;obj_t BgL_arg1108z00_388;
BgL_arg1107z00_387 = BGl_symbol2342z00zz__rgc_posixz00; 
{ /* ./Rgc/rgcposix.scm 78 */
obj_t BgL_arg1111z00_389;
BgL_arg1111z00_389 = 
MAKE_PAIR(BgL_rgcz00_5, BNIL); 
BgL_arg1108z00_388 = 
MAKE_PAIR(BgL_minz00_3, BgL_arg1111z00_389); } 
return 
MAKE_PAIR(BgL_arg1107z00_387, BgL_arg1108z00_388);} } } } } } } 
}



/* make-rgc-or */
obj_t BGl_makezd2rgczd2orz00zz__rgc_posixz00(obj_t BgL_rgcsz00_6)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 85 */
if(
NULLP(BgL_rgcsz00_6))
{ /* ./Rgc/rgcposix.scm 87 */
{ /* ./Rgc/rgcposix.scm 88 */
obj_t BgL_objectz00_757;
BgL_objectz00_757 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2343z00zz__rgc_posixz00,BgL_objectz00_757);} }  else 
{ /* ./Rgc/rgcposix.scm 89 */
bool_t BgL_testz00_1219;
{ /* ./Rgc/rgcposix.scm 89 */
obj_t BgL_auxz00_1220;
BgL_auxz00_1220 = 
CDR(BgL_rgcsz00_6); 
BgL_testz00_1219 = 
NULLP(BgL_auxz00_1220); } 
if(BgL_testz00_1219)
{ /* ./Rgc/rgcposix.scm 89 */
return 
CAR(BgL_rgcsz00_6);}  else 
{ /* ./Rgc/rgcposix.scm 89 */
{ /* ./Rgc/rgcposix.scm 92 */
obj_t BgL_auxz00_1224;
BgL_auxz00_1224 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_rgcsz00_6, BNIL); 
return 
MAKE_PAIR(BGl_symbol2344z00zz__rgc_posixz00, BgL_auxz00_1224);} } } } 
}



/* make-rgc-sequence */
obj_t BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(obj_t BgL_rgcsz00_7)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 97 */
if(
NULLP(BgL_rgcsz00_7))
{ /* ./Rgc/rgcposix.scm 99 */
{ /* ./Rgc/rgcposix.scm 100 */
obj_t BgL_objectz00_765;
BgL_objectz00_765 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2343z00zz__rgc_posixz00,BgL_objectz00_765);} }  else 
{ /* ./Rgc/rgcposix.scm 101 */
bool_t BgL_testz00_1230;
{ /* ./Rgc/rgcposix.scm 101 */
obj_t BgL_auxz00_1231;
BgL_auxz00_1231 = 
CDR(BgL_rgcsz00_7); 
BgL_testz00_1230 = 
NULLP(BgL_auxz00_1231); } 
if(BgL_testz00_1230)
{ /* ./Rgc/rgcposix.scm 101 */
return 
CAR(BgL_rgcsz00_7);}  else 
{ /* ./Rgc/rgcposix.scm 101 */
{ /* ./Rgc/rgcposix.scm 104 */
obj_t BgL_auxz00_1235;
BgL_auxz00_1235 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_rgcsz00_7, BNIL); 
return 
MAKE_PAIR(BGl_symbol2345z00zz__rgc_posixz00, BgL_auxz00_1235);} } } } 
}



/* parse-posix-exp */
obj_t BGl_parsezd2posixzd2expz00zz__rgc_posixz00(obj_t BgL_sz00_8, long BgL_iz00_9)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 111 */
{ /* ./Rgc/rgcposix.scm 112 */
int BgL_lenz00_403;
BgL_lenz00_403 = 
STRING_LENGTH(BgL_sz00_8); 
{ /* ./Rgc/rgcposix.scm 113 */
bool_t BgL_testz00_1239;
{ /* ./Rgc/rgcposix.scm 113 */
long BgL_auxz00_1240;
BgL_auxz00_1240 = 
(long)(BgL_lenz00_403); 
BgL_testz00_1239 = 
(BgL_iz00_9<BgL_auxz00_1240); } 
if(BgL_testz00_1239)
{ 
long BgL_iz00_405;obj_t BgL_branchesz00_406;
BgL_iz00_405 = BgL_iz00_9; 
BgL_branchesz00_406 = BNIL; 
BgL_loopz00_407:
{ /* ./Rgc/rgcposix.scm 116 */
obj_t BgL_branchz00_408;
BgL_branchz00_408 = 
BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(BgL_sz00_8, BgL_iz00_405); 
{ /* ./Rgc/rgcposix.scm 118 */
obj_t BgL_iz00_409;
{ /* ./Rgc/rgcposix.scm 118 */
int BgL_auxz00_1244;
BgL_auxz00_1244 = 
(int)(((long)1)); 
BgL_iz00_409 = 
BGL_MVALUES_VAL(BgL_auxz00_1244); } 
{ /* ./Rgc/rgcposix.scm 118 */
obj_t BgL_branchesz00_410;
BgL_branchesz00_410 = 
MAKE_PAIR(BgL_branchz00_408, BgL_branchesz00_406); 
{ /* ./Rgc/rgcposix.scm 119 */
bool_t BgL_test1152z00_411;
{ /* ./Rgc/rgcposix.scm 119 */
bool_t BgL_testz00_1248;
{ /* ./Rgc/rgcposix.scm 119 */
long BgL_auxz00_1251;long BgL_auxz00_1249;
BgL_auxz00_1251 = 
(long)(BgL_lenz00_403); 
BgL_auxz00_1249 = 
(long)CINT(BgL_iz00_409); 
BgL_testz00_1248 = 
(BgL_auxz00_1249<BgL_auxz00_1251); } 
if(BgL_testz00_1248)
{ /* ./Rgc/rgcposix.scm 119 */
unsigned char BgL_auxz00_1254;
{ /* ./Rgc/rgcposix.scm 119 */
int BgL_auxz00_1255;
BgL_auxz00_1255 = 
CINT(BgL_iz00_409); 
BgL_auxz00_1254 = 
STRING_REF(BgL_sz00_8, BgL_auxz00_1255); } 
BgL_test1152z00_411 = 
(((unsigned char)'|')==BgL_auxz00_1254); }  else 
{ /* ./Rgc/rgcposix.scm 119 */
BgL_test1152z00_411 = ((bool_t)0); } } 
if(BgL_test1152z00_411)
{ 
obj_t BgL_branchesz00_1264;long BgL_iz00_1260;
{ /* ./Rgc/rgcposix.scm 120 */
long BgL_auxz00_1261;
BgL_auxz00_1261 = 
(long)CINT(BgL_iz00_409); 
BgL_iz00_1260 = 
(BgL_auxz00_1261+((long)1)); } 
BgL_branchesz00_1264 = BgL_branchesz00_410; 
BgL_branchesz00_406 = BgL_branchesz00_1264; 
BgL_iz00_405 = BgL_iz00_1260; 
goto BgL_loopz00_407;}  else 
{ /* ./Rgc/rgcposix.scm 121 */
obj_t BgL_val0_1003z00_413;
BgL_val0_1003z00_413 = 
BGl_makezd2rgczd2orz00zz__rgc_posixz00(
bgl_reverse(BgL_branchesz00_410)); 
{ /* ./Rgc/rgcposix.scm 121 */
int BgL_auxz00_1267;
BgL_auxz00_1267 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1267); } 
{ /* ./Rgc/rgcposix.scm 121 */
int BgL_auxz00_1270;
BgL_auxz00_1270 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1270, BgL_iz00_409); } 
return BgL_val0_1003z00_413;} } } } } }  else 
{ /* ./Rgc/rgcposix.scm 113 */
{ /* ./Rgc/rgcposix.scm 122 */
int BgL_auxz00_1273;
BgL_auxz00_1273 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1273); } 
{ /* ./Rgc/rgcposix.scm 122 */
obj_t BgL_auxz00_1278;int BgL_auxz00_1276;
BgL_auxz00_1278 = 
BINT(BgL_iz00_9); 
BgL_auxz00_1276 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1276, BgL_auxz00_1278); } 
return BNIL;} } } } 
}



/* parse-posix-branch */
obj_t BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(obj_t BgL_sz00_10, long BgL_iz00_11)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 130 */
{ /* ./Rgc/rgcposix.scm 131 */
int BgL_lenz00_420;
BgL_lenz00_420 = 
STRING_LENGTH(BgL_sz00_10); 
{ 
obj_t BgL_iz00_421;obj_t BgL_piecesz00_422;
BgL_iz00_421 = 
BINT(BgL_iz00_11); 
BgL_piecesz00_422 = BNIL; 
BgL_loopz00_423:
{ /* ./Rgc/rgcposix.scm 134 */
bool_t BgL_testz00_1282;
{ /* ./Rgc/rgcposix.scm 134 */
long BgL_auxz00_1285;long BgL_auxz00_1283;
BgL_auxz00_1285 = 
(long)(BgL_lenz00_420); 
BgL_auxz00_1283 = 
(long)CINT(BgL_iz00_421); 
BgL_testz00_1282 = 
(BgL_auxz00_1283<BgL_auxz00_1285); } 
if(BgL_testz00_1282)
{ /* ./Rgc/rgcposix.scm 135 */
obj_t BgL_piecez00_425;
BgL_piecez00_425 = 
BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(BgL_sz00_10, BgL_iz00_421); 
{ /* ./Rgc/rgcposix.scm 136 */
obj_t BgL_iz00_426;
{ /* ./Rgc/rgcposix.scm 137 */
int BgL_auxz00_1289;
BgL_auxz00_1289 = 
(int)(((long)1)); 
BgL_iz00_426 = 
BGL_MVALUES_VAL(BgL_auxz00_1289); } 
{ /* ./Rgc/rgcposix.scm 137 */
obj_t BgL_piecesz00_427;
BgL_piecesz00_427 = 
MAKE_PAIR(BgL_piecez00_425, BgL_piecesz00_422); 
{ /* ./Rgc/rgcposix.scm 138 */
bool_t BgL_testz00_1293;
{ /* ./Rgc/rgcposix.scm 138 */
long BgL_auxz00_1296;long BgL_auxz00_1294;
BgL_auxz00_1296 = 
(long)(BgL_lenz00_420); 
BgL_auxz00_1294 = 
(long)CINT(BgL_iz00_426); 
BgL_testz00_1293 = 
(BgL_auxz00_1294<BgL_auxz00_1296); } 
if(BgL_testz00_1293)
{ /* ./Rgc/rgcposix.scm 140 */
unsigned char BgL_aux1008z00_430;
{ /* ./Rgc/rgcposix.scm 139 */
int BgL_auxz00_1299;
BgL_auxz00_1299 = 
CINT(BgL_iz00_426); 
BgL_aux1008z00_430 = 
STRING_REF(BgL_sz00_10, BgL_auxz00_1299); } 
switch( BgL_aux1008z00_430) { case ((unsigned char)')') : 
case ((unsigned char)'|') : 

{ /* ./Rgc/rgcposix.scm 141 */
obj_t BgL_val0_1009z00_432;
BgL_val0_1009z00_432 = 
BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(
bgl_reverse(BgL_piecesz00_427)); 
{ /* ./Rgc/rgcposix.scm 141 */
int BgL_auxz00_1304;
BgL_auxz00_1304 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1304); } 
{ /* ./Rgc/rgcposix.scm 141 */
int BgL_auxz00_1307;
BgL_auxz00_1307 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1307, BgL_iz00_426); } 
return BgL_val0_1009z00_432;} break;
default: 
{ 
obj_t BgL_piecesz00_1311;obj_t BgL_iz00_1310;
BgL_iz00_1310 = BgL_iz00_426; 
BgL_piecesz00_1311 = BgL_piecesz00_427; 
BgL_piecesz00_422 = BgL_piecesz00_1311; 
BgL_iz00_421 = BgL_iz00_1310; 
goto BgL_loopz00_423;} } }  else 
{ /* ./Rgc/rgcposix.scm 144 */
obj_t BgL_val0_1011z00_435;
BgL_val0_1011z00_435 = 
BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(
bgl_reverse(BgL_piecesz00_427)); 
{ /* ./Rgc/rgcposix.scm 144 */
int BgL_auxz00_1315;
BgL_auxz00_1315 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1315); } 
{ /* ./Rgc/rgcposix.scm 144 */
int BgL_auxz00_1318;
BgL_auxz00_1318 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1318, BgL_iz00_426); } 
return BgL_val0_1011z00_435;} } } } }  else 
{ /* ./Rgc/rgcposix.scm 145 */
obj_t BgL_val0_1013z00_438;
BgL_val0_1013z00_438 = 
BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(
bgl_reverse(BgL_piecesz00_422)); 
{ /* ./Rgc/rgcposix.scm 145 */
int BgL_auxz00_1323;
BgL_auxz00_1323 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1323); } 
{ /* ./Rgc/rgcposix.scm 145 */
int BgL_auxz00_1326;
BgL_auxz00_1326 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1326, BgL_iz00_421); } 
return BgL_val0_1013z00_438;} } } } } 
}



/* parse-posix-piece */
obj_t BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(obj_t BgL_sz00_12, obj_t BgL_iz00_13)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 153 */
{ /* ./Rgc/rgcposix.scm 154 */
int BgL_lenz00_441;
BgL_lenz00_441 = 
STRING_LENGTH(BgL_sz00_12); 
{ /* ./Rgc/rgcposix.scm 155 */
obj_t BgL_atomz00_442;
BgL_atomz00_442 = 
BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(BgL_sz00_12, BgL_iz00_13); 
{ /* ./Rgc/rgcposix.scm 157 */
obj_t BgL_iz00_443;
{ /* ./Rgc/rgcposix.scm 157 */
int BgL_auxz00_1332;
BgL_auxz00_1332 = 
(int)(((long)1)); 
BgL_iz00_443 = 
BGL_MVALUES_VAL(BgL_auxz00_1332); } 
{ /* ./Rgc/rgcposix.scm 157 */
bool_t BgL_testz00_1335;
{ /* ./Rgc/rgcposix.scm 157 */
long BgL_auxz00_1338;long BgL_auxz00_1336;
BgL_auxz00_1338 = 
(long)(BgL_lenz00_441); 
BgL_auxz00_1336 = 
(long)CINT(BgL_iz00_443); 
BgL_testz00_1335 = 
(BgL_auxz00_1336<BgL_auxz00_1338); } 
if(BgL_testz00_1335)
{ 

{ /* ./Rgc/rgcposix.scm 159 */
unsigned char BgL_aux1018z00_446;
{ /* ./Rgc/rgcposix.scm 158 */
int BgL_auxz00_1341;
BgL_auxz00_1341 = 
CINT(BgL_iz00_443); 
BgL_aux1018z00_446 = 
STRING_REF(BgL_sz00_12, BgL_auxz00_1341); } 
switch( BgL_aux1018z00_446) { case ((unsigned char)'*') : 
case ((unsigned char)'+') : 
case ((unsigned char)'?') : 

{ /* ./Rgc/rgcposix.scm 160 */
obj_t BgL_fromz00_448;
switch( BgL_aux1018z00_446) { case ((unsigned char)'*') : 

{ /* ./Rgc/rgcposix.scm 162 */
int BgL_auxz00_1344;
BgL_auxz00_1344 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1344); } 
{ /* ./Rgc/rgcposix.scm 162 */
int BgL_auxz00_1347;
BgL_auxz00_1347 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1347, BFALSE); } 
BgL_fromz00_448 = 
BINT(((long)0)); break;case ((unsigned char)'+') : 

{ /* ./Rgc/rgcposix.scm 163 */
int BgL_auxz00_1351;
BgL_auxz00_1351 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1351); } 
{ /* ./Rgc/rgcposix.scm 163 */
int BgL_auxz00_1354;
BgL_auxz00_1354 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1354, BFALSE); } 
BgL_fromz00_448 = 
BINT(((long)1)); break;case ((unsigned char)'?') : 

{ /* ./Rgc/rgcposix.scm 164 */
int BgL_auxz00_1358;
BgL_auxz00_1358 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1358); } 
{ /* ./Rgc/rgcposix.scm 164 */
obj_t BgL_auxz00_1363;int BgL_auxz00_1361;
BgL_auxz00_1363 = 
BINT(((long)1)); 
BgL_auxz00_1361 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1361, BgL_auxz00_1363); } 
BgL_fromz00_448 = 
BINT(((long)0)); break;
default: 
BgL_fromz00_448 = BUNSPEC; } 
{ /* ./Rgc/rgcposix.scm 165 */
obj_t BgL_toz00_449;
{ /* ./Rgc/rgcposix.scm 165 */
int BgL_auxz00_1368;
BgL_auxz00_1368 = 
(int)(((long)1)); 
BgL_toz00_449 = 
BGL_MVALUES_VAL(BgL_auxz00_1368); } 
{ /* ./Rgc/rgcposix.scm 165 */
obj_t BgL_val0_1027z00_450;long BgL_val1_1028z00_451;
BgL_val0_1027z00_450 = 
BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(BgL_fromz00_448, BgL_toz00_449, BgL_atomz00_442); 
{ /* ./Rgc/rgcposix.scm 165 */
long BgL_auxz00_1372;
BgL_auxz00_1372 = 
(long)CINT(BgL_iz00_443); 
BgL_val1_1028z00_451 = 
(BgL_auxz00_1372+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 165 */
int BgL_auxz00_1375;
BgL_auxz00_1375 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1375); } 
{ /* ./Rgc/rgcposix.scm 165 */
obj_t BgL_auxz00_1380;int BgL_auxz00_1378;
BgL_auxz00_1380 = 
BINT(BgL_val1_1028z00_451); 
BgL_auxz00_1378 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1378, BgL_auxz00_1380); } 
return BgL_val0_1027z00_450;} } } break;case ((unsigned char)'{') : 

{ /* ./Rgc/rgcposix.scm 167 */
obj_t BgL_fromz00_461;
BgL_fromz00_461 = 
BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(BgL_sz00_12, 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_443, 
BINT(((long)1)))); 
{ /* ./Rgc/rgcposix.scm 169 */
obj_t BgL_toz00_462;obj_t BgL_iz00_463;
{ /* ./Rgc/rgcposix.scm 169 */
int BgL_auxz00_1386;
BgL_auxz00_1386 = 
(int)(((long)1)); 
BgL_toz00_462 = 
BGL_MVALUES_VAL(BgL_auxz00_1386); } 
{ /* ./Rgc/rgcposix.scm 169 */
int BgL_auxz00_1389;
BgL_auxz00_1389 = 
(int)(((long)2)); 
BgL_iz00_463 = 
BGL_MVALUES_VAL(BgL_auxz00_1389); } 
{ /* ./Rgc/rgcposix.scm 169 */
obj_t BgL_val0_1029z00_464;
BgL_val0_1029z00_464 = 
BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(BgL_fromz00_461, BgL_toz00_462, BgL_atomz00_442); 
{ /* ./Rgc/rgcposix.scm 169 */
int BgL_auxz00_1393;
BgL_auxz00_1393 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1393); } 
{ /* ./Rgc/rgcposix.scm 169 */
int BgL_auxz00_1396;
BgL_auxz00_1396 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1396, BgL_iz00_463); } 
return BgL_val0_1029z00_464;} } } break;
default: 
{ /* ./Rgc/rgcposix.scm 170 */
int BgL_auxz00_1399;
BgL_auxz00_1399 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1399); } 
{ /* ./Rgc/rgcposix.scm 170 */
int BgL_auxz00_1402;
BgL_auxz00_1402 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1402, BgL_iz00_443); } 
return BgL_atomz00_442;} } }  else 
{ /* ./Rgc/rgcposix.scm 157 */
{ /* ./Rgc/rgcposix.scm 171 */
int BgL_auxz00_1406;
BgL_auxz00_1406 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1406); } 
{ /* ./Rgc/rgcposix.scm 171 */
int BgL_auxz00_1409;
BgL_auxz00_1409 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1409, BgL_iz00_443); } 
return BgL_atomz00_442;} } } } } } 
}



/* parse-posix-atom */
obj_t BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(obj_t BgL_sz00_14, obj_t BgL_iz00_15)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 179 */
{ /* ./Rgc/rgcposix.scm 180 */
int BgL_lenz00_471;
BgL_lenz00_471 = 
STRING_LENGTH(BgL_sz00_14); 
{ /* ./Rgc/rgcposix.scm 181 */
bool_t BgL_testz00_1413;
{ /* ./Rgc/rgcposix.scm 181 */
long BgL_auxz00_1416;long BgL_auxz00_1414;
BgL_auxz00_1416 = 
(long)(BgL_lenz00_471); 
BgL_auxz00_1414 = 
(long)CINT(BgL_iz00_15); 
BgL_testz00_1413 = 
(BgL_auxz00_1414<BgL_auxz00_1416); } 
if(BgL_testz00_1413)
{ /* ./Rgc/rgcposix.scm 182 */
unsigned char BgL_cz00_473;
{ /* ./Rgc/rgcposix.scm 182 */
int BgL_auxz00_1419;
BgL_auxz00_1419 = 
CINT(BgL_iz00_15); 
BgL_cz00_473 = 
STRING_REF(BgL_sz00_14, BgL_auxz00_1419); } 
{ 

switch( BgL_cz00_473) { case ((unsigned char)'^') : 

{ /* ./Rgc/rgcposix.scm 184 */
obj_t BgL_objectz00_847;
BgL_objectz00_847 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2346z00zz__rgc_posixz00,BgL_objectz00_847);} break;case ((unsigned char)'$') : 

{ /* ./Rgc/rgcposix.scm 185 */
obj_t BgL_objectz00_851;
BgL_objectz00_851 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2347z00zz__rgc_posixz00,BgL_objectz00_851);} break;case ((unsigned char)'.') : 

{ /* ./Rgc/rgcposix.scm 186 */
obj_t BgL_val0_1037z00_477;long BgL_val1_1038z00_478;
BgL_val0_1037z00_477 = BGl_symbol2348z00zz__rgc_posixz00; 
{ /* ./Rgc/rgcposix.scm 186 */
long BgL_auxz00_1424;
BgL_auxz00_1424 = 
(long)CINT(BgL_iz00_15); 
BgL_val1_1038z00_478 = 
(BgL_auxz00_1424+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 186 */
int BgL_auxz00_1427;
BgL_auxz00_1427 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1427); } 
{ /* ./Rgc/rgcposix.scm 186 */
obj_t BgL_auxz00_1432;int BgL_auxz00_1430;
BgL_auxz00_1432 = 
BINT(BgL_val1_1038z00_478); 
BgL_auxz00_1430 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1430, BgL_auxz00_1432); } 
return BgL_val0_1037z00_477;} break;case ((unsigned char)'[') : 

{ /* ./Rgc/rgcposix.scm 187 */
long BgL_auxz00_1435;
{ /* ./Rgc/rgcposix.scm 187 */
long BgL_auxz00_1436;
BgL_auxz00_1436 = 
(long)CINT(BgL_iz00_15); 
BgL_auxz00_1435 = 
(BgL_auxz00_1436+((long)1)); } 
return 
BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(BgL_sz00_14, BgL_auxz00_1435);} break;case ((unsigned char)'(') : 

{ /* ./Rgc/rgcposix.scm 188 */
obj_t BgL_rez00_480;
{ /* ./Rgc/rgcposix.scm 189 */
long BgL_auxz00_1440;
{ /* ./Rgc/rgcposix.scm 189 */
long BgL_auxz00_1441;
BgL_auxz00_1441 = 
(long)CINT(BgL_iz00_15); 
BgL_auxz00_1440 = 
(BgL_auxz00_1441+((long)1)); } 
BgL_rez00_480 = 
BGl_parsezd2posixzd2expz00zz__rgc_posixz00(BgL_sz00_14, BgL_auxz00_1440); } 
{ /* ./Rgc/rgcposix.scm 190 */
obj_t BgL_iz00_481;
{ /* ./Rgc/rgcposix.scm 190 */
int BgL_auxz00_1445;
BgL_auxz00_1445 = 
(int)(((long)1)); 
BgL_iz00_481 = 
BGL_MVALUES_VAL(BgL_auxz00_1445); } 
{ /* ./Rgc/rgcposix.scm 190 */
bool_t BgL_test1259z00_482;
{ /* ./Rgc/rgcposix.scm 190 */
bool_t BgL_testz00_1448;
{ /* ./Rgc/rgcposix.scm 190 */
long BgL_auxz00_1451;long BgL_auxz00_1449;
BgL_auxz00_1451 = 
(long)(BgL_lenz00_471); 
BgL_auxz00_1449 = 
(long)CINT(BgL_iz00_481); 
BgL_testz00_1448 = 
(BgL_auxz00_1449<BgL_auxz00_1451); } 
if(BgL_testz00_1448)
{ /* ./Rgc/rgcposix.scm 190 */
unsigned char BgL_auxz00_1454;
{ /* ./Rgc/rgcposix.scm 190 */
int BgL_auxz00_1455;
BgL_auxz00_1455 = 
CINT(BgL_iz00_481); 
BgL_auxz00_1454 = 
STRING_REF(BgL_sz00_14, BgL_auxz00_1455); } 
BgL_test1259z00_482 = 
(((unsigned char)')')==BgL_auxz00_1454); }  else 
{ /* ./Rgc/rgcposix.scm 190 */
BgL_test1259z00_482 = ((bool_t)0); } } 
if(BgL_test1259z00_482)
{ /* ./Rgc/rgcposix.scm 191 */
obj_t BgL_val0_1039z00_483;long BgL_val1_1040z00_484;
{ /* ./Rgc/rgcposix.scm 191 */
obj_t BgL_arg1265z00_485;obj_t BgL_arg1266z00_486;
BgL_arg1265z00_485 = BGl_symbol2349z00zz__rgc_posixz00; 
BgL_arg1266z00_486 = 
MAKE_PAIR(BgL_rez00_480, BNIL); 
BgL_val0_1039z00_483 = 
MAKE_PAIR(BgL_arg1265z00_485, BgL_arg1266z00_486); } 
{ /* ./Rgc/rgcposix.scm 191 */
long BgL_auxz00_1462;
BgL_auxz00_1462 = 
(long)CINT(BgL_iz00_481); 
BgL_val1_1040z00_484 = 
(BgL_auxz00_1462+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 191 */
int BgL_auxz00_1465;
BgL_auxz00_1465 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1465); } 
{ /* ./Rgc/rgcposix.scm 191 */
obj_t BgL_auxz00_1470;int BgL_auxz00_1468;
BgL_auxz00_1470 = 
BINT(BgL_val1_1040z00_484); 
BgL_auxz00_1468 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1468, BgL_auxz00_1470); } 
return BgL_val0_1039z00_483;}  else 
{ /* ./Rgc/rgcposix.scm 192 */
obj_t BgL_objectz00_876;
BgL_objectz00_876 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2350z00zz__rgc_posixz00,BgL_objectz00_876);} } } } break;case ((unsigned char)'\\') : 

{ /* ./Rgc/rgcposix.scm 193 */
long BgL_iz00_490;
{ /* ./Rgc/rgcposix.scm 193 */
long BgL_auxz00_1474;
BgL_auxz00_1474 = 
(long)CINT(BgL_iz00_15); 
BgL_iz00_490 = 
(BgL_auxz00_1474+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 194 */
bool_t BgL_testz00_1477;
{ /* ./Rgc/rgcposix.scm 194 */
long BgL_auxz00_1478;
BgL_auxz00_1478 = 
(long)(BgL_lenz00_471); 
BgL_testz00_1477 = 
(BgL_iz00_490<BgL_auxz00_1478); } 
if(BgL_testz00_1477)
{ /* ./Rgc/rgcposix.scm 195 */
obj_t BgL_val0_1041z00_492;long BgL_val1_1042z00_493;
{ /* ./Rgc/rgcposix.scm 195 */
unsigned char BgL_arg1286z00_494;
{ /* ./Rgc/rgcposix.scm 195 */
int BgL_auxz00_1481;
BgL_auxz00_1481 = 
(int)(BgL_iz00_490); 
BgL_arg1286z00_494 = 
STRING_REF(BgL_sz00_14, BgL_auxz00_1481); } 
{ /* ./Rgc/rgcposix.scm 195 */
obj_t BgL_list1288z00_495;
{ /* ./Rgc/rgcposix.scm 195 */
obj_t BgL_auxz00_1484;
BgL_auxz00_1484 = 
BCHAR(BgL_arg1286z00_494); 
BgL_list1288z00_495 = 
MAKE_PAIR(BgL_auxz00_1484, BNIL); } 
BgL_val0_1041z00_492 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1288z00_495); } } 
BgL_val1_1042z00_493 = 
(BgL_iz00_490+((long)1)); 
{ /* ./Rgc/rgcposix.scm 196 */
int BgL_auxz00_1489;
BgL_auxz00_1489 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1489); } 
{ /* ./Rgc/rgcposix.scm 196 */
obj_t BgL_auxz00_1494;int BgL_auxz00_1492;
BgL_auxz00_1494 = 
BINT(BgL_val1_1042z00_493); 
BgL_auxz00_1492 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1492, BgL_auxz00_1494); } 
return BgL_val0_1041z00_492;}  else 
{ /* ./Rgc/rgcposix.scm 197 */
obj_t BgL_objectz00_892;
BgL_objectz00_892 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2351z00zz__rgc_posixz00,BgL_objectz00_892);} } } break;case ((unsigned char)')') : 
case ((unsigned char)'|') : 
case ((unsigned char)'*') : 
case ((unsigned char)'+') : 
case ((unsigned char)'?') : 
case ((unsigned char)'{') : 

{ /* ./Rgc/rgcposix.scm 198 */
int BgL_auxz00_1498;
BgL_auxz00_1498 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1498); } 
{ /* ./Rgc/rgcposix.scm 198 */
int BgL_auxz00_1501;
BgL_auxz00_1501 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1501, BgL_iz00_15); } 
return BNIL;break;
default: 
{ /* ./Rgc/rgcposix.scm 199 */
obj_t BgL_val0_1033z00_498;long BgL_val1_1034z00_499;
{ /* ./Rgc/rgcposix.scm 199 */
obj_t BgL_list1303z00_500;
{ /* ./Rgc/rgcposix.scm 199 */
obj_t BgL_auxz00_1504;
BgL_auxz00_1504 = 
BCHAR(BgL_cz00_473); 
BgL_list1303z00_500 = 
MAKE_PAIR(BgL_auxz00_1504, BNIL); } 
BgL_val0_1033z00_498 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1303z00_500); } 
{ /* ./Rgc/rgcposix.scm 199 */
long BgL_auxz00_1508;
BgL_auxz00_1508 = 
(long)CINT(BgL_iz00_15); 
BgL_val1_1034z00_499 = 
(BgL_auxz00_1508+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 199 */
int BgL_auxz00_1511;
BgL_auxz00_1511 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1511); } 
{ /* ./Rgc/rgcposix.scm 199 */
obj_t BgL_auxz00_1516;int BgL_auxz00_1514;
BgL_auxz00_1516 = 
BINT(BgL_val1_1034z00_499); 
BgL_auxz00_1514 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1514, BgL_auxz00_1516); } 
return BgL_val0_1033z00_498;} } } }  else 
{ /* ./Rgc/rgcposix.scm 181 */
{ /* ./Rgc/rgcposix.scm 200 */
int BgL_auxz00_1520;
BgL_auxz00_1520 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1520); } 
{ /* ./Rgc/rgcposix.scm 200 */
int BgL_auxz00_1523;
BgL_auxz00_1523 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1523, BgL_iz00_15); } 
return BNIL;} } } } 
}



/* parse-posix-bracket */
obj_t BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(obj_t BgL_sz00_16, long BgL_iz00_17)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 208 */
{ /* ./Rgc/rgcposix.scm 209 */
int BgL_lenz00_504;
BgL_lenz00_504 = 
STRING_LENGTH(BgL_sz00_16); 
{ /* ./Rgc/rgcposix.scm 210 */
bool_t BgL_testz00_1527;
{ /* ./Rgc/rgcposix.scm 210 */
long BgL_auxz00_1528;
BgL_auxz00_1528 = 
(long)(BgL_lenz00_504); 
BgL_testz00_1527 = 
(BgL_iz00_17<BgL_auxz00_1528); } 
if(BgL_testz00_1527)
{ /* ./Rgc/rgcposix.scm 211 */
bool_t BgL_negatezf3zf3_506;
{ /* ./Rgc/rgcposix.scm 212 */
unsigned char BgL_cz00_559;
{ /* ./Rgc/rgcposix.scm 212 */
int BgL_auxz00_1531;
BgL_auxz00_1531 = 
(int)(BgL_iz00_17); 
BgL_cz00_559 = 
STRING_REF(BgL_sz00_16, BgL_auxz00_1531); } 
if(
(BgL_cz00_559==((unsigned char)'^')))
{ /* ./Rgc/rgcposix.scm 214 */
long BgL_val1_1048z00_562;
BgL_val1_1048z00_562 = 
(BgL_iz00_17+((long)1)); 
{ /* ./Rgc/rgcposix.scm 214 */
int BgL_auxz00_1537;
BgL_auxz00_1537 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1537); } 
{ /* ./Rgc/rgcposix.scm 214 */
obj_t BgL_auxz00_1542;int BgL_auxz00_1540;
BgL_auxz00_1542 = 
BINT(BgL_val1_1048z00_562); 
BgL_auxz00_1540 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1540, BgL_auxz00_1542); } 
BgL_negatezf3zf3_506 = ((bool_t)1); }  else 
{ /* ./Rgc/rgcposix.scm 213 */
{ /* ./Rgc/rgcposix.scm 215 */
int BgL_auxz00_1545;
BgL_auxz00_1545 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1545); } 
{ /* ./Rgc/rgcposix.scm 215 */
obj_t BgL_auxz00_1550;int BgL_auxz00_1548;
BgL_auxz00_1550 = 
BINT(BgL_iz00_17); 
BgL_auxz00_1548 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1548, BgL_auxz00_1550); } 
BgL_negatezf3zf3_506 = ((bool_t)0); } } 
{ /* ./Rgc/rgcposix.scm 212 */
obj_t BgL_i0z00_507;
{ /* ./Rgc/rgcposix.scm 216 */
int BgL_auxz00_1553;
BgL_auxz00_1553 = 
(int)(((long)1)); 
BgL_i0z00_507 = 
BGL_MVALUES_VAL(BgL_auxz00_1553); } 
{ 
obj_t BgL_iz00_508;obj_t BgL_csetz00_509;
BgL_iz00_508 = BgL_i0z00_507; 
BgL_csetz00_509 = BNIL; 
BgL_loopz00_510:
{ /* ./Rgc/rgcposix.scm 218 */
bool_t BgL_testz00_1556;
{ /* ./Rgc/rgcposix.scm 218 */
long BgL_auxz00_1559;long BgL_auxz00_1557;
BgL_auxz00_1559 = 
(long)(BgL_lenz00_504); 
BgL_auxz00_1557 = 
(long)CINT(BgL_iz00_508); 
BgL_testz00_1556 = 
(BgL_auxz00_1557<BgL_auxz00_1559); } 
if(BgL_testz00_1556)
{ /* ./Rgc/rgcposix.scm 219 */
unsigned char BgL_cz00_512;
{ /* ./Rgc/rgcposix.scm 219 */
int BgL_auxz00_1562;
BgL_auxz00_1562 = 
CINT(BgL_iz00_508); 
BgL_cz00_512 = 
STRING_REF(BgL_sz00_16, BgL_auxz00_1562); } 
{ 

switch( BgL_cz00_512) { case ((unsigned char)'[') : 

{ /* ./Rgc/rgcposix.scm 223 */
long BgL_i1z00_516;
{ /* ./Rgc/rgcposix.scm 223 */
long BgL_auxz00_1565;
BgL_auxz00_1565 = 
(long)CINT(BgL_iz00_508); 
BgL_i1z00_516 = 
(BgL_auxz00_1565+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 225 */
bool_t BgL_test1318z00_517;
{ /* ./Rgc/rgcposix.scm 225 */
bool_t BgL_testz00_1568;
{ /* ./Rgc/rgcposix.scm 225 */
long BgL_auxz00_1569;
BgL_auxz00_1569 = 
(long)(BgL_lenz00_504); 
BgL_testz00_1568 = 
(BgL_i1z00_516<BgL_auxz00_1569); } 
if(BgL_testz00_1568)
{ /* ./Rgc/rgcposix.scm 226 */
obj_t BgL_auxz00_1572;
{ /* ./Rgc/rgcposix.scm 226 */
obj_t BgL_auxz00_1573;
{ /* ./Rgc/rgcposix.scm 226 */
unsigned char BgL_auxz00_1574;
{ /* ./Rgc/rgcposix.scm 226 */
int BgL_auxz00_1575;
BgL_auxz00_1575 = 
(int)(BgL_i1z00_516); 
BgL_auxz00_1574 = 
STRING_REF(BgL_sz00_16, BgL_auxz00_1575); } 
BgL_auxz00_1573 = 
BCHAR(BgL_auxz00_1574); } 
BgL_auxz00_1572 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_1573, BGl_list2352z00zz__rgc_posixz00); } 
BgL_test1318z00_517 = 
CBOOL(BgL_auxz00_1572); }  else 
{ /* ./Rgc/rgcposix.scm 225 */
BgL_test1318z00_517 = ((bool_t)0); } } 
if(BgL_test1318z00_517)
{ /* ./Rgc/rgcposix.scm 225 */
{ /* ./Rgc/rgcposix.scm 227 */
obj_t BgL_objectz00_934;
BgL_objectz00_934 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2356z00zz__rgc_posixz00,BgL_objectz00_934);} }  else 
{ /* ./Rgc/rgcposix.scm 225 */
{ /* ./Rgc/rgcposix.scm 230 */
obj_t BgL_arg1321z00_518;
{ /* ./Rgc/rgcposix.scm 230 */
obj_t BgL_auxz00_1583;
BgL_auxz00_1583 = 
BCHAR(((unsigned char)'[')); 
BgL_arg1321z00_518 = 
MAKE_PAIR(BgL_auxz00_1583, BgL_csetz00_509); } 
{ 
obj_t BgL_csetz00_1588;obj_t BgL_iz00_1586;
BgL_iz00_1586 = 
BINT(BgL_i1z00_516); 
BgL_csetz00_1588 = BgL_arg1321z00_518; 
BgL_csetz00_509 = BgL_csetz00_1588; 
BgL_iz00_508 = BgL_iz00_1586; 
goto BgL_loopz00_510;} } } } } break;case ((unsigned char)']') : 

{ /* ./Rgc/rgcposix.scm 233 */
bool_t BgL_testz00_1589;
{ /* ./Rgc/rgcposix.scm 233 */
long BgL_auxz00_1592;long BgL_auxz00_1590;
BgL_auxz00_1592 = 
(long)CINT(BgL_i0z00_507); 
BgL_auxz00_1590 = 
(long)CINT(BgL_iz00_508); 
BgL_testz00_1589 = 
(BgL_auxz00_1590==BgL_auxz00_1592); } 
if(BgL_testz00_1589)
{ /* ./Rgc/rgcposix.scm 233 */
{ /* ./Rgc/rgcposix.scm 234 */
long BgL_arg1334z00_523;obj_t BgL_arg1335z00_524;
{ /* ./Rgc/rgcposix.scm 234 */
long BgL_auxz00_1595;
BgL_auxz00_1595 = 
(long)CINT(BgL_iz00_508); 
BgL_arg1334z00_523 = 
(BgL_auxz00_1595+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 235 */
obj_t BgL_auxz00_1598;
BgL_auxz00_1598 = 
BCHAR(((unsigned char)']')); 
BgL_arg1335z00_524 = 
MAKE_PAIR(BgL_auxz00_1598, BgL_csetz00_509); } 
{ 
obj_t BgL_csetz00_1603;obj_t BgL_iz00_1601;
BgL_iz00_1601 = 
BINT(BgL_arg1334z00_523); 
BgL_csetz00_1603 = BgL_arg1335z00_524; 
BgL_csetz00_509 = BgL_csetz00_1603; 
BgL_iz00_508 = BgL_iz00_1601; 
goto BgL_loopz00_510;} } }  else 
{ /* ./Rgc/rgcposix.scm 233 */
if(BgL_negatezf3zf3_506)
{ /* ./Rgc/rgcposix.scm 238 */
obj_t BgL_val0_1053z00_525;long BgL_val1_1054z00_526;
{ /* ./Rgc/rgcposix.scm 238 */
obj_t BgL_auxz00_1605;
BgL_auxz00_1605 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_csetz00_509, BNIL); 
BgL_val0_1053z00_525 = 
MAKE_PAIR(BGl_symbol2357z00zz__rgc_posixz00, BgL_auxz00_1605); } 
{ /* ./Rgc/rgcposix.scm 238 */
long BgL_auxz00_1608;
BgL_auxz00_1608 = 
(long)CINT(BgL_iz00_508); 
BgL_val1_1054z00_526 = 
(BgL_auxz00_1608+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 238 */
int BgL_auxz00_1611;
BgL_auxz00_1611 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1611); } 
{ /* ./Rgc/rgcposix.scm 238 */
obj_t BgL_auxz00_1616;int BgL_auxz00_1614;
BgL_auxz00_1616 = 
BINT(BgL_val1_1054z00_526); 
BgL_auxz00_1614 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1614, BgL_auxz00_1616); } 
return BgL_val0_1053z00_525;}  else 
{ /* ./Rgc/rgcposix.scm 239 */
obj_t BgL_val0_1055z00_529;long BgL_val1_1056z00_530;
{ /* ./Rgc/rgcposix.scm 239 */
obj_t BgL_auxz00_1619;
BgL_auxz00_1619 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_csetz00_509, BNIL); 
BgL_val0_1055z00_529 = 
MAKE_PAIR(BGl_symbol2358z00zz__rgc_posixz00, BgL_auxz00_1619); } 
{ /* ./Rgc/rgcposix.scm 239 */
long BgL_auxz00_1622;
BgL_auxz00_1622 = 
(long)CINT(BgL_iz00_508); 
BgL_val1_1056z00_530 = 
(BgL_auxz00_1622+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 239 */
int BgL_auxz00_1625;
BgL_auxz00_1625 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1625); } 
{ /* ./Rgc/rgcposix.scm 239 */
obj_t BgL_auxz00_1630;int BgL_auxz00_1628;
BgL_auxz00_1630 = 
BINT(BgL_val1_1056z00_530); 
BgL_auxz00_1628 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1628, BgL_auxz00_1630); } 
return BgL_val0_1055z00_529;} } } break;case ((unsigned char)'-') : 

{ /* ./Rgc/rgcposix.scm 242 */
bool_t BgL_test1359z00_533;
{ /* ./Rgc/rgcposix.scm 242 */
bool_t BgL_testz00_1633;
{ /* ./Rgc/rgcposix.scm 242 */
long BgL_auxz00_1636;long BgL_auxz00_1634;
BgL_auxz00_1636 = 
(long)CINT(BgL_i0z00_507); 
BgL_auxz00_1634 = 
(long)CINT(BgL_iz00_508); 
BgL_testz00_1633 = 
(BgL_auxz00_1634==BgL_auxz00_1636); } 
if(BgL_testz00_1633)
{ /* ./Rgc/rgcposix.scm 242 */
BgL_test1359z00_533 = ((bool_t)1); }  else 
{ /* ./Rgc/rgcposix.scm 243 */
bool_t BgL_testz00_1639;
{ /* ./Rgc/rgcposix.scm 243 */
long BgL_auxz00_1644;long BgL_auxz00_1640;
BgL_auxz00_1644 = 
(long)(BgL_lenz00_504); 
{ /* ./Rgc/rgcposix.scm 243 */
long BgL_auxz00_1641;
BgL_auxz00_1641 = 
(long)CINT(BgL_iz00_508); 
BgL_auxz00_1640 = 
(BgL_auxz00_1641+((long)1)); } 
BgL_testz00_1639 = 
(BgL_auxz00_1640<BgL_auxz00_1644); } 
if(BgL_testz00_1639)
{ /* ./Rgc/rgcposix.scm 244 */
unsigned char BgL_auxz00_1647;
{ /* ./Rgc/rgcposix.scm 244 */
int BgL_auxz00_1648;
{ /* ./Rgc/rgcposix.scm 244 */
long BgL_auxz00_1649;
{ /* ./Rgc/rgcposix.scm 244 */
long BgL_auxz00_1650;
BgL_auxz00_1650 = 
(long)CINT(BgL_iz00_508); 
BgL_auxz00_1649 = 
(BgL_auxz00_1650+((long)1)); } 
BgL_auxz00_1648 = 
(int)(BgL_auxz00_1649); } 
BgL_auxz00_1647 = 
STRING_REF(BgL_sz00_16, BgL_auxz00_1648); } 
BgL_test1359z00_533 = 
(((unsigned char)']')==BgL_auxz00_1647); }  else 
{ /* ./Rgc/rgcposix.scm 243 */
BgL_test1359z00_533 = ((bool_t)0); } } } 
if(BgL_test1359z00_533)
{ /* ./Rgc/rgcposix.scm 242 */
{ /* ./Rgc/rgcposix.scm 245 */
long BgL_arg1361z00_534;obj_t BgL_arg1362z00_535;
{ /* ./Rgc/rgcposix.scm 245 */
long BgL_auxz00_1657;
BgL_auxz00_1657 = 
(long)CINT(BgL_iz00_508); 
BgL_arg1361z00_534 = 
(BgL_auxz00_1657+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 246 */
obj_t BgL_auxz00_1660;
BgL_auxz00_1660 = 
BCHAR(((unsigned char)'-')); 
BgL_arg1362z00_535 = 
MAKE_PAIR(BgL_auxz00_1660, BgL_csetz00_509); } 
{ 
obj_t BgL_csetz00_1665;obj_t BgL_iz00_1663;
BgL_iz00_1663 = 
BINT(BgL_arg1361z00_534); 
BgL_csetz00_1665 = BgL_arg1362z00_535; 
BgL_csetz00_509 = BgL_csetz00_1665; 
BgL_iz00_508 = BgL_iz00_1663; 
goto BgL_loopz00_510;} } }  else 
{ /* ./Rgc/rgcposix.scm 242 */
{ /* ./Rgc/rgcposix.scm 248 */
obj_t BgL_objectz00_966;
BgL_objectz00_966 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2359z00zz__rgc_posixz00,BgL_objectz00_966);} } } break;
default: 
{ /* ./Rgc/rgcposix.scm 252 */
long BgL_iz00_541;
{ /* ./Rgc/rgcposix.scm 252 */
long BgL_auxz00_1667;
BgL_auxz00_1667 = 
(long)CINT(BgL_iz00_508); 
BgL_iz00_541 = 
(BgL_auxz00_1667+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 253 */
bool_t BgL_test1385z00_542;
{ /* ./Rgc/rgcposix.scm 253 */
bool_t BgL_testz00_1670;
{ /* ./Rgc/rgcposix.scm 253 */
long BgL_auxz00_1673;long BgL_auxz00_1671;
BgL_auxz00_1673 = 
(long)(BgL_lenz00_504); 
BgL_auxz00_1671 = 
(BgL_iz00_541+((long)1)); 
BgL_testz00_1670 = 
(BgL_auxz00_1671<BgL_auxz00_1673); } 
if(BgL_testz00_1670)
{ /* ./Rgc/rgcposix.scm 254 */
unsigned char BgL_auxz00_1676;
{ /* ./Rgc/rgcposix.scm 254 */
int BgL_auxz00_1677;
BgL_auxz00_1677 = 
(int)(BgL_iz00_541); 
BgL_auxz00_1676 = 
STRING_REF(BgL_sz00_16, BgL_auxz00_1677); } 
BgL_test1385z00_542 = 
(((unsigned char)'-')==BgL_auxz00_1676); }  else 
{ /* ./Rgc/rgcposix.scm 253 */
BgL_test1385z00_542 = ((bool_t)0); } } 
if(BgL_test1385z00_542)
{ /* ./Rgc/rgcposix.scm 256 */
long BgL_iz00_543;
BgL_iz00_543 = 
(BgL_iz00_541+((long)1)); 
{ /* ./Rgc/rgcposix.scm 256 */
long BgL_toz00_544;
{ /* ./Rgc/rgcposix.scm 257 */
unsigned char BgL_auxz00_1683;
{ /* ./Rgc/rgcposix.scm 257 */
int BgL_auxz00_1684;
BgL_auxz00_1684 = 
(int)(BgL_iz00_543); 
BgL_auxz00_1683 = 
STRING_REF(BgL_sz00_16, BgL_auxz00_1684); } 
BgL_toz00_544 = 
(BgL_auxz00_1683); } 
{ /* ./Rgc/rgcposix.scm 257 */

{ /* ./Rgc/rgcposix.scm 258 */
long BgL_arg1387z00_548;
BgL_arg1387z00_548 = 
(BgL_cz00_512); 
{ 
long BgL_jz00_984;obj_t BgL_csetz00_985;
BgL_jz00_984 = BgL_arg1387z00_548; 
BgL_csetz00_985 = BgL_csetz00_509; 
BgL_laapz00_983:
if(
(BgL_jz00_984>BgL_toz00_544))
{ /* ./Rgc/rgcposix.scm 258 */
long BgL_arg1392z00_992;
BgL_arg1392z00_992 = 
(BgL_iz00_543+((long)1)); 
{ 
obj_t BgL_csetz00_1694;obj_t BgL_iz00_1692;
BgL_iz00_1692 = 
BINT(BgL_arg1392z00_992); 
BgL_csetz00_1694 = BgL_csetz00_985; 
BgL_csetz00_509 = BgL_csetz00_1694; 
BgL_iz00_508 = BgL_iz00_1692; 
goto BgL_loopz00_510;} }  else 
{ /* ./Rgc/rgcposix.scm 258 */
long BgL_arg1396z00_993;obj_t BgL_arg1397z00_994;
BgL_arg1396z00_993 = 
(BgL_jz00_984+((long)1)); 
{ /* ./Rgc/rgcposix.scm 258 */
unsigned char BgL_arg1401z00_995;
BgL_arg1401z00_995 = 
(BgL_jz00_984); 
{ /* ./Rgc/rgcposix.scm 258 */
obj_t BgL_auxz00_1697;
BgL_auxz00_1697 = 
BCHAR(BgL_arg1401z00_995); 
BgL_arg1397z00_994 = 
MAKE_PAIR(BgL_auxz00_1697, BgL_csetz00_985); } } 
{ 
obj_t BgL_csetz00_1701;long BgL_jz00_1700;
BgL_jz00_1700 = BgL_arg1396z00_993; 
BgL_csetz00_1701 = BgL_arg1397z00_994; 
BgL_csetz00_985 = BgL_csetz00_1701; 
BgL_jz00_984 = BgL_jz00_1700; 
goto BgL_laapz00_983;} } } } } } }  else 
{ /* ./Rgc/rgcposix.scm 267 */
obj_t BgL_arg1412z00_555;
{ /* ./Rgc/rgcposix.scm 267 */
obj_t BgL_auxz00_1702;
BgL_auxz00_1702 = 
BCHAR(BgL_cz00_512); 
BgL_arg1412z00_555 = 
MAKE_PAIR(BgL_auxz00_1702, BgL_csetz00_509); } 
{ 
obj_t BgL_csetz00_1707;obj_t BgL_iz00_1705;
BgL_iz00_1705 = 
BINT(BgL_iz00_541); 
BgL_csetz00_1707 = BgL_arg1412z00_555; 
BgL_csetz00_509 = BgL_csetz00_1707; 
BgL_iz00_508 = BgL_iz00_1705; 
goto BgL_loopz00_510;} } } } } } }  else 
{ /* ./Rgc/rgcposix.scm 268 */
obj_t BgL_objectz00_1032;
BgL_objectz00_1032 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2360z00zz__rgc_posixz00,BgL_objectz00_1032);} } } } }  else 
{ /* ./Rgc/rgcposix.scm 269 */
obj_t BgL_objectz00_1036;
BgL_objectz00_1036 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2360z00zz__rgc_posixz00,BgL_objectz00_1036);} } } } 
}



/* parse-posix-braces */
obj_t BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(obj_t BgL_sz00_18, obj_t BgL_iz00_19)
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 277 */
{ /* ./Rgc/rgcposix.scm 288 */
obj_t BgL_commaz00_566;obj_t BgL_rbz00_567;
{ /* ./Rgc/rgcposix.scm 288 */
int BgL_lenz00_1040;
BgL_lenz00_1040 = 
STRING_LENGTH(BgL_sz00_18); 
{ 
obj_t BgL_offsetz00_1042;
BgL_offsetz00_1042 = BgL_iz00_19; 
BgL_loopz00_1041:
{ /* ./Rgc/rgcposix.scm 288 */
bool_t BgL_testz00_1712;
{ /* ./Rgc/rgcposix.scm 288 */
long BgL_auxz00_1715;long BgL_auxz00_1713;
BgL_auxz00_1715 = 
(long)(BgL_lenz00_1040); 
BgL_auxz00_1713 = 
(long)CINT(BgL_offsetz00_1042); 
BgL_testz00_1712 = 
(BgL_auxz00_1713>=BgL_auxz00_1715); } 
if(BgL_testz00_1712)
{ /* ./Rgc/rgcposix.scm 288 */
BgL_commaz00_566 = BFALSE; }  else 
{ /* ./Rgc/rgcposix.scm 288 */
bool_t BgL_testz00_1718;
{ /* ./Rgc/rgcposix.scm 288 */
unsigned char BgL_auxz00_1719;
{ /* ./Rgc/rgcposix.scm 288 */
int BgL_auxz00_1720;
BgL_auxz00_1720 = 
CINT(BgL_offsetz00_1042); 
BgL_auxz00_1719 = 
STRING_REF(BgL_sz00_18, BgL_auxz00_1720); } 
BgL_testz00_1718 = 
(BgL_auxz00_1719==((unsigned char)',')); } 
if(BgL_testz00_1718)
{ /* ./Rgc/rgcposix.scm 288 */
BgL_commaz00_566 = BgL_offsetz00_1042; }  else 
{ /* ./Rgc/rgcposix.scm 288 */
{ 
obj_t BgL_offsetz00_1724;
{ /* ./Rgc/rgcposix.scm 288 */
long BgL_auxz00_1725;
{ /* ./Rgc/rgcposix.scm 288 */
long BgL_auxz00_1726;
BgL_auxz00_1726 = 
(long)CINT(BgL_offsetz00_1042); 
BgL_auxz00_1725 = 
(BgL_auxz00_1726+((long)1)); } 
BgL_offsetz00_1724 = 
BINT(BgL_auxz00_1725); } 
BgL_offsetz00_1042 = BgL_offsetz00_1724; 
goto BgL_loopz00_1041;} } } } } } 
{ /* ./Rgc/rgcposix.scm 289 */
int BgL_lenz00_1059;
BgL_lenz00_1059 = 
STRING_LENGTH(BgL_sz00_18); 
{ 
obj_t BgL_offsetz00_1061;
BgL_offsetz00_1061 = BgL_iz00_19; 
BgL_loopz00_1060:
{ /* ./Rgc/rgcposix.scm 289 */
bool_t BgL_testz00_1731;
{ /* ./Rgc/rgcposix.scm 289 */
long BgL_auxz00_1734;long BgL_auxz00_1732;
BgL_auxz00_1734 = 
(long)(BgL_lenz00_1059); 
BgL_auxz00_1732 = 
(long)CINT(BgL_offsetz00_1061); 
BgL_testz00_1731 = 
(BgL_auxz00_1732>=BgL_auxz00_1734); } 
if(BgL_testz00_1731)
{ /* ./Rgc/rgcposix.scm 289 */
BgL_rbz00_567 = BFALSE; }  else 
{ /* ./Rgc/rgcposix.scm 289 */
bool_t BgL_testz00_1737;
{ /* ./Rgc/rgcposix.scm 289 */
unsigned char BgL_auxz00_1738;
{ /* ./Rgc/rgcposix.scm 289 */
int BgL_auxz00_1739;
BgL_auxz00_1739 = 
CINT(BgL_offsetz00_1061); 
BgL_auxz00_1738 = 
STRING_REF(BgL_sz00_18, BgL_auxz00_1739); } 
BgL_testz00_1737 = 
(BgL_auxz00_1738==((unsigned char)'}')); } 
if(BgL_testz00_1737)
{ /* ./Rgc/rgcposix.scm 289 */
BgL_rbz00_567 = BgL_offsetz00_1061; }  else 
{ /* ./Rgc/rgcposix.scm 289 */
{ 
obj_t BgL_offsetz00_1743;
{ /* ./Rgc/rgcposix.scm 289 */
long BgL_auxz00_1744;
{ /* ./Rgc/rgcposix.scm 289 */
long BgL_auxz00_1745;
BgL_auxz00_1745 = 
(long)CINT(BgL_offsetz00_1061); 
BgL_auxz00_1744 = 
(BgL_auxz00_1745+((long)1)); } 
BgL_offsetz00_1743 = 
BINT(BgL_auxz00_1744); } 
BgL_offsetz00_1061 = BgL_offsetz00_1743; 
goto BgL_loopz00_1060;} } } } } } 
if(
CBOOL(BgL_rbz00_567))
{ /* ./Rgc/rgcposix.scm 291 */
bool_t BgL_test1440z00_568;
if(
CBOOL(BgL_commaz00_566))
{ /* ./Rgc/rgcposix.scm 291 */
long BgL_auxz00_1755;long BgL_auxz00_1753;
BgL_auxz00_1755 = 
(long)CINT(BgL_rbz00_567); 
BgL_auxz00_1753 = 
(long)CINT(BgL_commaz00_566); 
BgL_test1440z00_568 = 
(BgL_auxz00_1753<BgL_auxz00_1755); }  else 
{ /* ./Rgc/rgcposix.scm 291 */
BgL_test1440z00_568 = ((bool_t)0); } 
if(BgL_test1440z00_568)
{ /* ./Rgc/rgcposix.scm 292 */
obj_t BgL_val0_1058z00_569;obj_t BgL_val1_1059z00_570;long BgL_val2_1060z00_571;
{ /* ./Rgc/rgcposix.scm 292 */
obj_t BgL_auxz00_1759;
{ /* ./Rgc/rgcposix.scm 292 */
int BgL_auxz00_1762;int BgL_auxz00_1760;
BgL_auxz00_1762 = 
CINT(BgL_commaz00_566); 
BgL_auxz00_1760 = 
CINT(BgL_iz00_19); 
BgL_auxz00_1759 = 
c_substring(BgL_sz00_18, BgL_auxz00_1760, BgL_auxz00_1762); } 
BgL_val0_1058z00_569 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_auxz00_1759, BNIL); } 
{ /* ./Rgc/rgcposix.scm 293 */
bool_t BgL__andtest_1061z00_574;
{ /* ./Rgc/rgcposix.scm 293 */
bool_t BgL_testz00_1766;
{ /* ./Rgc/rgcposix.scm 293 */
long BgL_auxz00_1771;long BgL_auxz00_1767;
BgL_auxz00_1771 = 
(long)CINT(BgL_rbz00_567); 
{ /* ./Rgc/rgcposix.scm 293 */
long BgL_auxz00_1768;
BgL_auxz00_1768 = 
(long)CINT(BgL_commaz00_566); 
BgL_auxz00_1767 = 
(BgL_auxz00_1768+((long)1)); } 
BgL_testz00_1766 = 
(BgL_auxz00_1767==BgL_auxz00_1771); } 
if(BgL_testz00_1766)
{ /* ./Rgc/rgcposix.scm 293 */
BgL__andtest_1061z00_574 = ((bool_t)0); }  else 
{ /* ./Rgc/rgcposix.scm 293 */
BgL__andtest_1061z00_574 = ((bool_t)1); } } 
if(BgL__andtest_1061z00_574)
{ /* ./Rgc/rgcposix.scm 294 */
obj_t BgL_arg1450z00_575;
{ /* ./Rgc/rgcposix.scm 294 */
long BgL_arg1454z00_577;
{ /* ./Rgc/rgcposix.scm 294 */
long BgL_auxz00_1775;
BgL_auxz00_1775 = 
(long)CINT(BgL_commaz00_566); 
BgL_arg1454z00_577 = 
(BgL_auxz00_1775+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 294 */
int BgL_auxz00_1780;int BgL_auxz00_1778;
BgL_auxz00_1780 = 
CINT(BgL_rbz00_567); 
BgL_auxz00_1778 = 
(int)(BgL_arg1454z00_577); 
BgL_arg1450z00_575 = 
c_substring(BgL_sz00_18, BgL_auxz00_1778, BgL_auxz00_1780); } } 
BgL_val1_1059z00_570 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_arg1450z00_575, BNIL); }  else 
{ /* ./Rgc/rgcposix.scm 293 */
BgL_val1_1059z00_570 = BFALSE; } } 
{ /* ./Rgc/rgcposix.scm 295 */
long BgL_auxz00_1784;
BgL_auxz00_1784 = 
(long)CINT(BgL_rbz00_567); 
BgL_val2_1060z00_571 = 
(BgL_auxz00_1784+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 293 */
int BgL_auxz00_1787;
BgL_auxz00_1787 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1787); } 
{ /* ./Rgc/rgcposix.scm 295 */
int BgL_auxz00_1790;
BgL_auxz00_1790 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1790, BgL_val1_1059z00_570); } 
{ /* ./Rgc/rgcposix.scm 295 */
obj_t BgL_auxz00_1795;int BgL_auxz00_1793;
BgL_auxz00_1795 = 
BINT(BgL_val2_1060z00_571); 
BgL_auxz00_1793 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1793, BgL_auxz00_1795); } 
return BgL_val0_1058z00_569;}  else 
{ /* ./Rgc/rgcposix.scm 296 */
obj_t BgL_mz00_580;
{ /* ./Rgc/rgcposix.scm 296 */
obj_t BgL_auxz00_1798;
{ /* ./Rgc/rgcposix.scm 296 */
int BgL_auxz00_1801;int BgL_auxz00_1799;
BgL_auxz00_1801 = 
CINT(BgL_rbz00_567); 
BgL_auxz00_1799 = 
CINT(BgL_iz00_19); 
BgL_auxz00_1798 = 
c_substring(BgL_sz00_18, BgL_auxz00_1799, BgL_auxz00_1801); } 
BgL_mz00_580 = 
BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(BgL_auxz00_1798, BNIL); } 
{ /* ./Rgc/rgcposix.scm 297 */
long BgL_val2_1064z00_583;
{ /* ./Rgc/rgcposix.scm 297 */
long BgL_auxz00_1805;
BgL_auxz00_1805 = 
(long)CINT(BgL_rbz00_567); 
BgL_val2_1064z00_583 = 
(BgL_auxz00_1805+((long)1)); } 
{ /* ./Rgc/rgcposix.scm 297 */
int BgL_auxz00_1808;
BgL_auxz00_1808 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1808); } 
{ /* ./Rgc/rgcposix.scm 297 */
int BgL_auxz00_1811;
BgL_auxz00_1811 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1811, BgL_mz00_580); } 
{ /* ./Rgc/rgcposix.scm 297 */
obj_t BgL_auxz00_1816;int BgL_auxz00_1814;
BgL_auxz00_1816 = 
BINT(BgL_val2_1064z00_583); 
BgL_auxz00_1814 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1814, BgL_auxz00_1816); } 
return BgL_mz00_580;} } }  else 
{ /* ./Rgc/rgcposix.scm 298 */
obj_t BgL_objectz00_1109;
BgL_objectz00_1109 = BGl_za2errzd2stringza2zd2zz__rgc_posixz00; 
FAILURE(BFALSE,BGl_string2361z00zz__rgc_posixz00,BgL_objectz00_1109);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__rgc_posixz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcposix.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__rgc_posix");} 
}

